Index: mscore/libmscore/lyrics.cpp
===================================================================
--- mscore/libmscore/lyrics.cpp	(revision 4504)
+++ mscore/libmscore/lyrics.cpp	(working copy)
@@ -99,6 +99,8 @@

 void Lyrics::read(QDomElement e)
       {
+      int   iEndTick = 0;           // used for backward compatibility
+
       for (e = e.firstChildElement(); !e.isNull(); e = e.nextSiblingElement()) {
             QString tag(e.tagName());
             QString val(e.text());
@@ -118,8 +120,9 @@
                         printf("bad syllabic property\n");
                   }
             else if (tag == "endTick") {          // obsolete
-                  _ticks = i - score()->curTick;
-                  printf("Lyrics::endTick: %d  ticks %d\n", i, _ticks);
+                  // store <endTick> tag value until a <ticks> tag has been read
+                  // which positions this lyrics element in the score
+                  iEndTick = i;
                   }
             else if (tag == "ticks")
                   _ticks = i;
@@ -131,6 +134,11 @@
             else if (!Text::readProperties(e))
                   domError(e);
             }
+      // if any endTick, make it relative to current tick
+      if(iEndTick) {
+            _ticks = iEndTick - score()->curTick;
+            printf("Lyrics::endTick: %d  ticks %d\n", iEndTick, _ticks);
+            }
       }

 //---------------------------------------------------------
